> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Data Exports (/api-reference/data-exports/list-data-exports)

Get a paginated list of data exports for the team

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/data-exports
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/data-exports:
    get:
      summary: List Data Exports
      operationId: listDataExports
      description: Get a paginated list of data exports for the team
      parameters:
        - in: query
          name: per_page
          description: Number of results per page. Default `15`, max `100`
          example: 15
          required: false
          schema:
            type: integer
            description: Number of results per page. Default `15`, max `100`
            example: 15
        - in: query
          name: page
          description: Page number for pagination. Default `1`
          example: 1
          required: false
          schema:
            type: integer
            description: Page number for pagination. Default `1`
            example: 1
        - in: query
          name: status
          description: Filter by status
          example: completed
          required: false
          schema:
            type: string
            description: Filter by status
            example: completed
            enum:
              - calculating_credits
              - calculating_credits_failed
              - calculating_credits_completed
              - pending
              - in_progress
              - completed
              - failed
        - in: query
          name: type
          description: Filter by export type
          example: transactions
          required: false
          schema:
            type: string
            description: Filter by export type
            example: transactions
            enum:
              - transactions
              - chat_messages
              - media_vault
              - trial_links
              - tracking_links
              - payouts
              - chargebacks
              - public_profiles
        - in: query
          name: download_url_expires_in
          description: Number of minutes until download URLs expire. Min `1`, max `60`,
            default `5`.
          example: 15
          required: false
          schema:
            type: integer
            description: Number of minutes until download URLs expire. Min `1`, max `60`,
              default `5`.
            example: 15
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    data:
                      - id: data_export_abc123xyz789
                        type: transactions
                        status: completed
                        start_date: 2024-01-01T00:00:00+00:00
                        end_date: 2024-12-31T23:59:59+00:00
                        file_type: csv
                        total_rows: 5000
                        rows_processed: 5000
                        progress_percentage: 100
                        credit_cost: 500
                        export_columns:
                          - transaction_id
                          - type
                          - amount
                          - net_amount
                          - currency
                          - created_at
                        accounts:
                          - id: acct_xyz789abc123
                            display_name: Main Account
                        created_at: 2024-12-01T10:00:00+00:00
                        completed_at: 2024-12-01T10:05:00+00:00
                        failed_at: null
                        failed_reason: null
                        download_url: https://example-bucket.s3.amazonaws.com/data-exports/team-slug/data_export_abc123xyz789.csv?X-Amz-Signature=...
                        download_url_expires_at: 2024-12-02T12:05:00+00:00
                      - id: data_export_def456uvw012
                        type: chat_messages
                        status: in_progress
                        start_date: 2024-06-01T00:00:00+00:00
                        end_date: 2024-12-31T23:59:59+00:00
                        file_type: xlsx
                        total_rows: 15000
                        rows_processed: 7500
                        progress_percentage: 50
                        credit_cost: 1500
                        export_columns:
                          - chat_id
                          - message_id
                          - message_text
                          - fan_username
                          - onlyfans_created_at
                        accounts:
                          - id: acct_xyz789abc123
                            display_name: Main Account
                          - id: acct_mno345pqr678
                            display_name: Secondary Account
                        created_at: 2024-12-02T11:30:00+00:00
                        completed_at: null
                        failed_at: null
                        failed_reason: null
                    meta:
                      current_page: 1
                      last_page: 3
                      per_page: 15
                      total: 42
                  _meta:
                    _credits:
                      used: 0
                      balance: 9500
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 60
                      limit_day: null
                      remaining_minute: 56
                      remaining_day: null
                      notice: ""
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        example:
                          - id: data_export_abc123xyz789
                            type: transactions
                            status: completed
                            start_date: 2024-01-01T00:00:00+00:00
                            end_date: 2024-12-31T23:59:59+00:00
                            file_type: csv
                            total_rows: 5000
                            rows_processed: 5000
                            progress_percentage: 100
                            credit_cost: 500
                            export_columns:
                              - transaction_id
                              - type
                              - amount
                              - net_amount
                              - currency
                              - created_at
                            accounts:
                              - id: acct_xyz789abc123
                                display_name: Main Account
                            created_at: 2024-12-01T10:00:00+00:00
                            completed_at: 2024-12-01T10:05:00+00:00
                            failed_at: null
                            failed_reason: null
                            download_url: https://example-bucket.s3.amazonaws.com/data-exports/team-slug/data_export_abc123xyz789.csv?X-Amz-Signature=...
                            download_url_expires_at: 2024-12-02T12:05:00+00:00
                          - id: data_export_def456uvw012
                            type: chat_messages
                            status: in_progress
                            start_date: 2024-06-01T00:00:00+00:00
                            end_date: 2024-12-31T23:59:59+00:00
                            file_type: xlsx
                            total_rows: 15000
                            rows_processed: 7500
                            progress_percentage: 50
                            credit_cost: 1500
                            export_columns:
                              - chat_id
                              - message_id
                              - message_text
                              - fan_username
                              - onlyfans_created_at
                            accounts:
                              - id: acct_xyz789abc123
                                display_name: Main Account
                              - id: acct_mno345pqr678
                                display_name: Secondary Account
                            created_at: 2024-12-02T11:30:00+00:00
                            completed_at: null
                            failed_at: null
                            failed_reason: null
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: data_export_abc123xyz789
                            type:
                              type: string
                              example: transactions
                            status:
                              type: string
                              example: completed
                            start_date:
                              type: string
                              example: 2024-01-01T00:00:00+00:00
                            end_date:
                              type: string
                              example: 2024-12-31T23:59:59+00:00
                            file_type:
                              type: string
                              example: csv
                            total_rows:
                              type: integer
                              example: 5000
                            rows_processed:
                              type: integer
                              example: 5000
                            progress_percentage:
                              type: integer
                              example: 100
                            credit_cost:
                              type: integer
                              example: 500
                            export_columns:
                              type: array
                              example:
                                - transaction_id
                                - type
                                - amount
                                - net_amount
                                - currency
                                - created_at
                              items:
                                type: string
                            accounts:
                              type: array
                              example:
                                - id: acct_xyz789abc123
                                  display_name: Main Account
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    example: acct_xyz789abc123
                                  display_name:
                                    type: string
                                    example: Main Account
                            created_at:
                              type: string
                              example: 2024-12-01T10:00:00+00:00
                            completed_at:
                              type: string
                              example: 2024-12-01T10:05:00+00:00
                            failed_at:
                              type: string
                              example: null
                              nullable: true
                            failed_reason:
                              type: string
                              example: null
                              nullable: true
                            download_url:
                              type: string
                              example: https://example-bucket.s3.amazonaws.com/data-exports/team-slug/data_export_abc123xyz789.csv?X-Amz-Signature=...
                            download_url_expires_at:
                              type: string
                              example: 2024-12-02T12:05:00+00:00
                      meta:
                        type: object
                        properties:
                          current_page:
                            type: integer
                            example: 1
                          last_page:
                            type: integer
                            example: 3
                          per_page:
                            type: integer
                            example: 15
                          total:
                            type: integer
                            example: 42
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 0
                          balance:
                            type: integer
                            example: 9500
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 60
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 56
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: ""
      tags:
        - Data Exports
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````